using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Defaultability.Domain;

namespace Topsdk.Top.Defaultability.Response;

public class TaobaoTbkDgGeneralLinkConvertResponse : AbstractTopApiResponse
{

    /*
        TbkLinkDTO
            */
    private TaobaoTbkDgGeneralLinkConvertTbkLinkDTO? data;


    /*
        见错误码描述
            */
    private long? bizErrorDesc;


    /*
        见错误码描述
            */
    private string? resultMsg;


    [JsonPropertyName("data")]
    public TaobaoTbkDgGeneralLinkConvertTbkLinkDTO? Data
    {
        get => data;
        set => this.data = value;
    }

    [JsonPropertyName("biz_error_desc")]
    public long? BizErrorDesc
    {
        get => bizErrorDesc;
        set => this.bizErrorDesc = value;
    }

    [JsonPropertyName("result_msg")]
    public string? ResultMsg
    {
        get => resultMsg;
        set => this.resultMsg = value;
    }

}

